Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#90 64 bit 5.1.5 build for Solaris 10 using Studio12

closed-fixed
5
2008-10-21
2008-10-07
Rick Weisner
No

OS: Solaris 10 SPARC and OpenSolaris X64 STLport 5.1.5
64 bit build using Studio 12

rick weisner
rick.weisner@sun.com

Discussion

1 2 > >> (Page 1 of 2)
  • Rick Weisner
    Rick Weisner
    2008-10-07

    patch input file

     
    Attachments
    • assigned_to: nobody --> complement
    • status: open --> open-accepted
     
  • Pls, comments for me following lines (stlport/stl/config/_sunprocc.h):

    ! #if defined(__linux__)
    # undef _STLP_NATIVE_CPP_C_HEADER
    + # undef _STLP_NATIVE_CPP_C_INCLUDE_PATH
    + # define _XOPEN_SOURCE 500
    + # define _STLP_VENDOR_GLOBAL_CSTD
    + # define _STLP_NATIVE_C_INCLUDE_PATH_VENDOR ../cc
    + # define _STLP_NATIVE_CPP_C_INCLUDE_PATH ../CC/std
    + //# define _STLP_NATIVE_CPP_C_HEADER(header) </usr/include/g++-3/header>
    + //# define _STLP_NATIVE_CPP_C_INCLUDE_PATH /usr/include/g++-3
    + #endif /* __linux__ */

    i.e. what about defined __linux__ in __sunprocc__?

     
  • Pls, comment here _STLP_NO_OWN_IOSTREAMS/_STLP_HAS_NO_NEW_IOSTREAMS/-liostream.

    Pls, comment situation with

    ! /*
    ! * Should be fixed:
    ! * 1. __SunOS_5_x not defined, and no way to derive this from headers only;
    ! * define it with -D on compiler command line is a bad idea too.
    ! *
    ! * 2. Solaris may has, but may hasn't MATH_F and MATH_L functions (even with two
    ! * underscores)---this depends upon system update level and seems legally present
    ! * only in Solaris 10 (i.e. I saw Solaris 9 with and without __acosf in libm.so.1)
    ! *
    ! * - ptr
    ! */

     
  • Pls, comment following:

    --- /export/home/rw8775/work/STLport-5.1.5/./build/Makefiles/gmake/lib/CC.mak Thu Oct 2 16:18:56 2008
    ***************
    *** 1,6 ****
    # -*- makefile -*- Time-stamp: <04/08/23 23:07:35 ptr>

    ! OPT += -xcode=pic32

    dbg-shared: LDFLAGS += -G -Qoption ld -z,initfirst -h$(SO_NAME_DBGxx) ${LDSEARCH} ${NOSTDLIB}
    stldbg-shared: LDFLAGS += -G -Qoption ld -z,initfirst -h$(SO_NAME_STLDBGxx) ${LDSEARCH} ${NOSTDLIB}
    --- 1,7 ----
    # -*- makefile -*- Time-stamp: <04/08/23 23:07:35 ptr>

    ! #OPT += -xcode=pic32
    ! OPT += -m64 -KPIC

    dbg-shared: LDFLAGS += -G -Qoption ld -z,initfirst -h$(SO_NAME_DBGxx) ${LDSEARCH} ${NOSTDLIB}
    stldbg-shared: LDFLAGS += -G -Qoption ld -z,initfirst -h$(SO_NAME_STLDBGxx) ${LDSEARCH} ${NOSTDLIB}

    i.e. I see problem: IMO this break build on 32-bit Solaris, right? (hardcoded -m64)

     
  • Rick Weisner
    Rick Weisner
    2008-10-08

    Yes this is for a 64 bit build, I assume that makefile are changed to support what ever mode is desired.

    __SunOS_5_10 or __SunOS_5_11 are defined but not __SunOS_5_x

    The linux lines came from merge if the lines used by the Sun compiler folks to build the STLport that ships with the comipiler. Since Studio12 works with linux those lines got included. I should have removed them as I obly build on Solaris.

    If you want me to build and test 32 bit code before you look at the changes, I am willing to put that on my schedule.
    rick

     
  • Rick Weisner
    Rick Weisner
    2008-10-08

    The __linux__ lines came from my merge of the lines used by the Sun compiler
    folks to build the STLport that ships with the compiler.
    see /opt/SUNWspro/prod/include/CC/stlport4/config/stl_sunpro.h.
    Since Studio12
    works with linux those lines got included. I should have removed them as I
    only build on Solaris.
    Would it be better if I generated a new patch ?

     
  • Oh, my god, SunSoft shipout CC for Linux ... Nice, then lets __linux__ lines remains here.

    Pls, check STLport-5.1 branch from git://void-ptr.info/STLport.git

    Check that all fine for 64-bits Solaris 10/11 and consider fix for -m64 issue (i.e. build at 32-bit Solaris fine too).

     
  • Rick Weisner
    Rick Weisner
    2008-10-08

    My browser does not grok
    git://void-ptr.info/STLport.git

    but I take it you want me to download and test both 32 bit and 64 bit ?

    rick

     
  • > My browser does not grok git://void-ptr.info/STLport.git

    http://git.or.cz/ ;-)

    > but I take it you want me to download and test both 32 bit and 64 bit?

    I want you check build lib and run unit tests based on sources that will be STLport 5.1.7
    (even before commit to SVN).

    It's HEAD of branch STLport-5.1 in repo git://void-ptr.info/STLport.git

     
  • Rick Weisner
    Rick Weisner
    2008-10-08

    Ok I got the git and git clone the code

    ./configure --prefix=~/work/local --with-extra-cxxflags=-m64 --with-extra-cflags=-m64 --with-extra-ldflags=-m64 --use-compiler-family=CC

    then
    arwen:gmake
    gmake -C src all;
    gmake[1]: Entering directory `/export/home/rw8775/work/stlport/STLport/src'
    /bin/sh: test: unknown operator obj/CC/so
    gmake[1]: *** [obj/CC/so] Error 1
    gmake[1]: Leaving directory `/export/home/rw8775/work/stlport/STLport/src'
    gmake: *** [all] Error 2

    so shall I debug the Makefiles or have done something wrong

    rick

     
  • We speak about 5.1 isn't it? Not about 6.0?

    Then do 'git checkout --track STLport-5.1 origin/STLport-5.1'

     
  • oh, wrong, sorry.

    git branch --track STLport-5.1 origin/STLport-5.1
    git checkout STLport-5.1

     
  • Rick Weisner
    Rick Weisner
    2008-10-09

    I had to include math.h in test/unit/resolve-name.cpp I will
    next test 32 bit and create a new patch.

    rick

     
  • Rick Weisner
    Rick Weisner
    2008-10-09

    32 bit and 64 bit Sol 10 Studio 12 build on x64

     
    Attachments
  • Rick Weisner
    Rick Weisner
    2008-10-09

    new patch attached, tested 32 bit and 64 bit on X86
    I will test sparc tomorrow
    File Added: patch_file

     
  • Patch applied. See same branch in the same git repo (STLport-5.1, git://void-ptr.info/STLport.git). BTW, 'git diff' or 'git format-patch' is what you need.

    Waiting SPARC tests.

     
  • Rick Weisner
    Rick Weisner
    2008-10-09

    SPARC confirmed

    Are you asking me to do a fresh download and test again ?

     
  • > SPARC confirmed

    Good news.

    > Are you asking me to do a fresh download and test again ?

    It would be nice. This sourceball will be STLport 5.1.7.

     
  • Rick Weisner
    Rick Weisner
    2008-10-10

    pardon my ignorance but how do I get to 5.1.7

     
  • > pardon my ignorance but how do I get to 5.1.7

    HEAD of branch STLport-5.1 in repository git://void-ptr.info/STLport.git

     
  • Rick Weisner
    Rick Weisner
    2008-10-10

    Please pardon my git ignorance
    but
    in an empty directory
    git clone git://void-ptr.info/STLport.git
    cd STLport
    git branch --track STLport-5.1 origin/STLport-5.1
    git checkout STLport-5.1
    arwen:git branch
    * STLport-5.1
    master
    No HEAD
    what next ?

     
  • bash-3.2$ git clone git://void-ptr.info/STLport.git
    Initialized empty Git repository in /blah-blah-blah/STLport/.git/
    remote: Counting objects: 21766, done.
    remote: Compressing objects: 100% (10185/10185), done.
    remote: Total 21766 (delta 17867), reused 13826 (delta 11438)
    Receiving objects: 100% (21766/21766), 5.74 MiB | 5060 KiB/s, done.
    Resolving deltas: 100% (17867/17867), done.
    bash-3.2$ cd STLport/
    bash-3.2$ git branch --track STLport-5.1 origin/STLport-5.1
    Branch STLport-5.1 set up to track remote branch refs/remotes/origin/STLport-5.1.
    bash-3.2$ git checkout STLport-5.1
    Switched to branch "STLport-5.1"
    bash-3.2$ l
    total 48
    drwxr-xr-x 9 ptr ptr 4096 Oct 10 23:36 ./
    drwxrwxr-x 3 ptr ptr 4096 Oct 10 23:35 ../
    drwxrwxr-x 6 ptr ptr 4096 Oct 10 23:36 build/
    drwxrwxr-x 2 ptr ptr 4096 Oct 10 23:36 doc/
    drwxrwxr-x 2 ptr ptr 4096 Oct 10 23:36 etc/
    drwxrwxr-x 8 ptr ptr 4096 Oct 10 23:36 .git/
    -rw-rw-r-- 1 ptr ptr 7699 Oct 10 23:36 INSTALL
    -rw-rw-r-- 1 ptr ptr 2436 Oct 10 23:35 README
    drwxrwxr-x 5 ptr ptr 4096 Oct 10 23:36 src/
    drwxrwxr-x 4 ptr ptr 4096 Oct 10 23:36 stlport/
    drwxrwxr-x 5 ptr ptr 4096 Oct 10 23:35 test/
    bash-3.2$ git branch
    * STLport-5.1
    master
    bash-3.2$ (cd build/lib && make -f CC.mak install ) && (cd build/test/unit && make -f CC.mak && obj/CC/so/stl_unit_test; obj/CC/so/stl_unit_test )

     
  • Rick Weisner
    Rick Weisner
    2008-10-10

    In that case we are missing the change I made to

    ./test/unit/resolve_name.cpp

    to include math.h

     
  • > In that case we are missing the change I made to ./test/unit/resolve_name.cpp

    No such file in you patches:

    bash-3.2$ grep resolve_name.cpp ../sun10-1x.patch
    bash-3.2$ grep resolve_name.cpp ../patch_file
    bash-3.2$

    I need just say

    #ifdef ????
    #include <math.h>
    #endif

    ?

     
1 2 > >> (Page 1 of 2)